| OpenCV 3.4.8 Open Source Computer Vision

Functions
NPPST Signal Processing
CUDA-accelerated Computer Vision » Legacy support

## Functions
NCVStatus | nppsStCompact_32f (Ncv32f *d_src, Ncv32u srcLen, Ncv32f *d_dst, Ncv32u *p_dstLen, Ncv32f elemRemove, Ncv8u *pBuffer, Ncv32u bufSize, cudaDeviceProp &devProp)
NCVStatus | nppsStCompact_32f_host (Ncv32f *h_src, Ncv32u srcLen, Ncv32f *h_dst, Ncv32u *dstLen, Ncv32f elemRemove)
NCVStatus | nppsStCompact_32s (Ncv32s *d_src, Ncv32u srcLen, Ncv32s *d_dst, Ncv32u *p_dstLen, Ncv32s elemRemove, Ncv8u *pBuffer, Ncv32u bufSize, cudaDeviceProp &devProp)
NCVStatus | nppsStCompact_32s_host (Ncv32s *h_src, Ncv32u srcLen, Ncv32s *h_dst, Ncv32u *dstLen, Ncv32s elemRemove)
NCVStatus | nppsStCompact_32u (Ncv32u *d_src, Ncv32u srcLen, Ncv32u *d_dst, Ncv32u *p_dstLen, Ncv32u elemRemove, Ncv8u *pBuffer, Ncv32u bufSize, cudaDeviceProp &devProp)
NCVStatus | nppsStCompact_32u_host (Ncv32u *h_src, Ncv32u srcLen, Ncv32u *h_dst, Ncv32u *dstLen, Ncv32u elemRemove)
NCVStatus | nppsStCompactGetSize_32f (Ncv32u srcLen, Ncv32u *pBufsize, cudaDeviceProp &devProp)
NCVStatus | nppsStCompactGetSize_32s (Ncv32u srcLen, Ncv32u *pBufsize, cudaDeviceProp &devProp)
NCVStatus | nppsStCompactGetSize_32u (Ncv32u srcLen, Ncv32u *pBufsize, cudaDeviceProp &devProp)

## Detailed Description

## Function Documentation

## § nppsStCompact_32f()

NCVStatus nppsStCompact_32f | ( | Ncv32f * | d_src,
|  | Ncv32u | srcLen,
|  | Ncv32f * | d_dst,
|  | Ncv32u * | p_dstLen,
|  | Ncv32f | elemRemove,
|  | Ncv8u * | pBuffer,
|  | Ncv32u | bufSize,
|  | cudaDeviceProp & | devProp
| ) |  |

`#include <opencv2/cudalegacy/NPP_staging.hpp>`

Compacts the input vector by removing elements of specified value. 32-bit float values

See also
  nppsStCompact_32u

## § nppsStCompact_32f_host()

NCVStatus nppsStCompact_32f_host | ( | Ncv32f * | h_src,
|  | Ncv32u | srcLen,
|  | Ncv32f * | h_dst,
|  | Ncv32u * | dstLen,
|  | Ncv32f | elemRemove
| ) |  |

`#include <opencv2/cudalegacy/NPP_staging.hpp>`

Compacts the input vector by removing elements of specified value. 32-bit float values. Host implementation

See also
  nppsStCompact_32u_host

## § nppsStCompact_32s()

NCVStatus nppsStCompact_32s | ( | Ncv32s * | d_src,
|  | Ncv32u | srcLen,
|  | Ncv32s * | d_dst,
|  | Ncv32u * | p_dstLen,
|  | Ncv32s | elemRemove,
|  | Ncv8u * | pBuffer,
|  | Ncv32u | bufSize,
|  | cudaDeviceProp & | devProp
| ) |  |

`#include <opencv2/cudalegacy/NPP_staging.hpp>`

Compacts the input vector by removing elements of specified value. 32-bit signed values

See also
  nppsStCompact_32u

## § nppsStCompact_32s_host()

NCVStatus nppsStCompact_32s_host | ( | Ncv32s * | h_src,
|  | Ncv32u | srcLen,
|  | Ncv32s * | h_dst,
|  | Ncv32u * | dstLen,
|  | Ncv32s | elemRemove
| ) |  |

`#include <opencv2/cudalegacy/NPP_staging.hpp>`

Compacts the input vector by removing elements of specified value. 32-bit signed values. Host implementation

See also
  nppsStCompact_32u_host

## § nppsStCompact_32u()

NCVStatus nppsStCompact_32u | ( | Ncv32u * | d_src,
|  | Ncv32u | srcLen,
|  | Ncv32u * | d_dst,
|  | Ncv32u * | p_dstLen,
|  | Ncv32u | elemRemove,
|  | Ncv8u * | pBuffer,
|  | Ncv32u | bufSize,
|  | cudaDeviceProp & | devProp
| ) |  |

`#include <opencv2/cudalegacy/NPP_staging.hpp>`

Compacts the input vector by removing elements of specified value. 32-bit unsigned values

Parameters

  d_src | [IN] Source vector pointer (CUDA device memory)
  srcLen | [IN] Source vector length
  d_dst | [OUT] Destination vector pointer (CUDA device memory)
  p_dstLen | [OUT] Pointer to the destination vector length (Pinned memory or NULL)
  elemRemove | [IN] The value to be removed
  pBuffer | [IN] Pointer to the pre-allocated temporary buffer (CUDA device memory)
  bufSize | [IN] Size of the pBuffer in bytes
  devProp | [IN] CUDA device properties structure, containing texture alignment information

Returns
  NCV status code

## § nppsStCompact_32u_host()

NCVStatus nppsStCompact_32u_host | ( | Ncv32u * | h_src,
|  | Ncv32u | srcLen,
|  | Ncv32u * | h_dst,
|  | Ncv32u * | dstLen,
|  | Ncv32u | elemRemove
| ) |  |

`#include <opencv2/cudalegacy/NPP_staging.hpp>`

Compacts the input vector by removing elements of specified value. 32-bit unsigned values. Host implementation

Parameters

  h_src | [IN] Source vector pointer (CUDA device memory)
  srcLen | [IN] Source vector length
  h_dst | [OUT] Destination vector pointer (CUDA device memory)
  dstLen | [OUT] Pointer to the destination vector length (can be NULL)
  elemRemove | [IN] The value to be removed

Returns
  NCV status code

## § nppsStCompactGetSize_32f()

NCVStatus nppsStCompactGetSize_32f | ( | Ncv32u | srcLen,
|  | Ncv32u * | pBufsize,
|  | cudaDeviceProp & | devProp
| ) |  |

`#include <opencv2/cudalegacy/NPP_staging.hpp>`

Calculates the size of the temporary buffer for vector compaction. 32-bit float values

See also
  nppsStCompactGetSize_32u

## § nppsStCompactGetSize_32s()

NCVStatus nppsStCompactGetSize_32s | ( | Ncv32u | srcLen,
|  | Ncv32u * | pBufsize,
|  | cudaDeviceProp & | devProp
| ) |  |

`#include <opencv2/cudalegacy/NPP_staging.hpp>`

Calculates the size of the temporary buffer for vector compaction. 32-bit signed values

See also
  nppsStCompactGetSize_32u

## § nppsStCompactGetSize_32u()

NCVStatus nppsStCompactGetSize_32u | ( | Ncv32u | srcLen,
|  | Ncv32u * | pBufsize,
|  | cudaDeviceProp & | devProp
| ) |  |

`#include <opencv2/cudalegacy/NPP_staging.hpp>`

Calculates the size of the temporary buffer for vector compaction. 32-bit unsigned values

Parameters

  srcLen | [IN] Length of the input vector in elements
  pBufsize | [OUT] Pointer to host variable that returns the size of the temporary buffer (in bytes)
  devProp | [IN] CUDA device properties structure, containing texture alignment information

Returns
  NCV status code